; This script was first created by ISTool
; http://www.lerstad.com/istool/

[Setup]
OutputDir=F:\Projects\CodeConv.Delphi\Install
OutputBaseFilename=CodeConv-2.7-setup
AppCopyright=Copyright  2000 Michal Cihar
AppName=CodeConv
AppVerName=CodeConv 2.7
LicenseFile=Data\Licence.txt
AllowNoIcons=true
DefaultGroupName=CICOM\CodeConv
DefaultDirName={pf}\CICOM\CodeConv
WizardImageFile=MyWizModernImage2.bmp
AlwaysCreateUninstallIcon=true
AppPublisher=CICOM
AppPublisherURL=http://cicom.tsx.org
AppSupportURL=http://cicom.tsx.org
AppUpdatesURL=http://cicom.kgb.cz/codeconv
AppVersion=2.7
AppID=CICOM_CodeConv
WizardSmallImageFile=MyWizModernSmallImage2.bmp
AppMutex=CodeConvMutex
UninstallDisplayIcon={app}\CodeConv.exe
SourceDir=F:\Projects\CodeConv.Delphi\Install
CompressLevel=9

[Registry]
;{reg:HKCU\SOFTWARE\CICOM\CodeConv\2.5,|}

Root: HKCU; Subkey: SOFTWARE\CICOM; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; Subkey: SOFTWARE\CICOM\CodeConv; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\CodeConv\2.7; ValueType: string; ValueName: TextExtensions; ValueData: txt|html|htm|log|ini|doc|pas|dpr|c|cpp|h|asm|inc|nfo|diz|css|js|vbs|bat|btm|dof|cfg|tex|txt|text|asc|asp|shtm|shtm|java|javascript|sql|mysql|iss|php|php3|php4|phtml; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\CodeConv\2.7; ValueType: dword; ValueName: IgnoreBorders; ValueData: $00000001; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\CodeConv\2.7; ValueType: dword; ValueName: ConvertBorders; ValueData: $00000001; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\CodeConv\2.7; ValueType: dword; ValueName: ConvertSpecials; ValueData: $00000001; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\CodeConv\2.7; ValueType: dword; ValueName: UseShellExt; ValueData: $00000000; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\CodeConv\2.7; ValueType: dword; ValueName: DetectionBuffer; ValueData: $00002710; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\CodeConv\2.7; ValueType: string; ValueName: Path; ValueData: {app}; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: Software\CICOM\CodeConv\2.7\ShellExt; ValueType: dword; ValueName: Ask; ValueData: $00000001; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: Software\CICOM\CodeConv\2.7\ShellExt; ValueType: binary; ValueName: CodePages; ValueData: 00 01 00 01 00 00 00 00 00 00 00 00 01 01; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: Software\CICOM\CodeConv\2.7\ShellExt; ValueType: dword; ValueName: ShowDetect; ValueData: $00000001; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; Subkey: SOFTWARE\CICOM\Updater; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; Subkey: SOFTWARE\CICOM\Updater\Apps; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\Updater\Apps\CodeConv; Flags: createvalueifdoesntexist uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\Updater\Apps\CodeConv; ValueType: string; ValueName: Path; ValueData: {app}; Flags: uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\Updater\Apps\CodeConv; ValueType: string; ValueName: URL; ValueData: http://cicom.kgb.cz/updates/; Flags: uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\Updater\Apps\CodeConv; ValueType: string; ValueName: Version; ValueData: 2.7.0.0; Flags: uninsdeletekeyifempty uninsdeletevalue
Root: HKCU; SubKey: SOFTWARE\CICOM\Updater\Apps\CodeConv; ValueType: string; ValueName: Web; ValueData: http://cicom.kgb.cz/go.php3?go=codeconv; Flags: uninsdeletekeyifempty uninsdeletevalue
Root: HKLM; Subkey: Software\Microsoft\Windows\CurrentVersion\App Paths\CC.exe; ValueType: string; ValueData: {app}\CC.exe; Components: CC
Root: HKLM; Subkey: Software\Microsoft\Windows\CurrentVersion\App Paths\CodeConv.exe; ValueType: string; ValueName: ; ValueData: {app}\CodeConv.exe
Root: HKLM; Subkey: Software\Microsoft\Windows\CurrentVersion\App Paths\CodCon.exe; ValueType: string; ValueData: {app}\CodCon.exe; Components: CodCon

[Types]
Name: Default; Description: Default installation
Name: Full; Description: Full installation
Name: Minimal; Description: Minimal installation
Name: Custom; Description: Custom installation; Flags: iscustom

[Components]
Name: Main; Description: Main program; Flags: fixed; Types: Custom Minimal Full Default
Name: CC; Description: Command line support (needed for Shell Extensions); Types: Custom Full Default
Name: CCShlExt; Description: Shell Extensions; Types: Custom Full Default
Name: CodCon; Description: Console version; Types: Custom Full Default
Name: Manual; Description: Documentation; Types: Custom Full Default
Name: Language; Description: Default language file; Types: Custom Full
Name: Czech; Description: Czech language file; Types: Custom Full

[Files]
Source: Data\CC.exe; DestDir: {app}; Components: CC
Source: Data\CCShlExt.dll; DestDir: {app}; Flags: regserver restartreplace; Components: CCShlExt
Source: Data\CodCon.exe; DestDir: {app}; Components: CodCon
Source: Data\CodeConv.exe; DestDir: {app}; Components: Main
Source: Data\Licence.txt; DestDir: {app}; Components: Main
Source: Data\Manual\index.html; DestDir: {app}\Manual; Components: Manual
Source: Data\Manual\manual.ico; DestDir: {app}\Manual; Components: Manual
Source: Data\Manual\img\CICOM.gif; DestDir: {app}\Manual\img; Components: Manual
Source: Data\Manual\img\screenshot.gif; DestDir: {app}\Manual\img; Components: Manual
Source: Data\Manual\img\screenshot-cps-from.gif; DestDir: {app}\Manual\img; Components: Manual
Source: Data\Manual\img\screenshot-cps-to.gif; DestDir: {app}\Manual\img; Components: Manual
Source: Data\Manual\img\screenshot-eol.gif; DestDir: {app}\Manual\img; Components: Manual
Source: Data\Manual\img\screenshot-opt.gif; DestDir: {app}\Manual\img; Components: Manual
Source: Data\Manual\img\screenshot-opt-cps.gif; DestDir: {app}\Manual\img; Components: Manual
Source: Data\Language\czech.ini; DestDir: {app}\Language; Components: Czech
Source: Data\Language\default.ini; DestDir: {app}\Language; Components: Language
Source: Data\Shortcuts\EN\cicom.url; DestDir: {app}; Components: Main
Source: Data\Shortcuts\EN\codeconv.url; DestDir: {app}; Components: Main
Source: TempData\UpdIcon.exe; DestDir: {tmp}; CopyMode: alwaysoverwrite; Flags: deleteafterinstall overwritereadonly; Components: Main

[Dirs]
Name: {app}\Manual; Components: Manual
Name: {app}\Manual\img; Components: Manual
Name: {app}\Language; Components: Czech Language

[Icons]
Name: {group}\CodeConv; Filename: {app}\CodeConv.exe; WorkingDir: {app}; IconFilename: {app}\CodeConv.exe; Comment: Code page conversion tool; IconIndex: 0; Flags: createonlyiffileexists; Components: Main
Name: {group}\CodeConv Manual; Filename: {app}\Manual\index.html; IconFilename: {app}\Manual\manual.ico; Comment: CodeConv manual; IconIndex: 0; Flags: createonlyiffileexists; Components: Manual
Name: {group}\CodeConv Licence; Filename: {app}\Licence.txt; IconIndex: 0; Components: Main
Name: {group}\Visit CICOM web; Filename: {app}\cicom.url; IconIndex: 0; Components: Main
Name: {group}\Visit CodeConv web; Filename: {app}\codeconv.url; IconIndex: 0; Components: Main
Name: {userdesktop}\CodeConv; Filename: {app}\CodeConv.exe; IconFilename: {app}\CodeConv.exe; IconIndex: 0; WorkingDir: {app}; Comment: Code page conversion tool; Components: Main; Tasks: desktopicon
Name: {userappdata}\Microsoft\Internet Explorer\Quick Launch\CodeConv; Filename: {app}\CodeConv.exe; IconFilename: {app}\CodeConv.exe; IconIndex: 0; WorkingDir: {app}; Comment: Code page conversion tool; Components: main; Tasks: quicklaunchicon
Name: {userstartmenu}\CodeConv; Filename: {app}\CodeConv.exe; WorkingDir: {app}; IconFilename: {app}\CodeConv.exe; Comment: Code page conversion tool; IconIndex: 0; Flags: createonlyiffileexists; Components: Main; Tasks: starticon

[Run]
Filename: {app}\CodeConv.exe; Description: Run CodeConv; Flags: nowait skipifdoesntexist postinstall; Components: Main
Filename: {app}\Manual\index.html; Description: Display documenation; Flags: nowait shellexec skipifdoesntexist unchecked postinstall; Components: Manual
Filename: {tmp}\UpdIcon.exe; Parameters: """{group}\Update Codeconv.lnk"" CodeConv ""Error while creating icon"" Error ""Update CodeConv"""; Components: Main; Tasks: updateicon; Flags: runminimized

[Tasks]
Name: updateicon; Description: Create icon for &update (you need Updater to use this); GroupDescription: Additional icons:; Components: main
Name: desktopicon; Description: Create a &desktop icon; GroupDescription: Additional icons:; Components: main
Name: quicklaunchicon; Description: Create a &Quick Launch icon; GroupDescription: Additional icons:; Components: main; Flags: unchecked
Name: starticon; Description: Create icon a &Start Menu icon; GroupDescription: Additional icons:; Components: main; Flags: unchecked

[UninstallDelete]
Name: {group}\Update Codeconv.lnk; Type: files; Components: Main

[Messages]
BeveledLabel=CICOM

[_ISTool]
EnableISX=true
UseAbsolutePaths=false

[_ISToolPreCompile]
Name: command.com; Parameters: /c ..\0to_inst.bat

